Good News: Typepad is Not Vulnerable to the Heartbleed Bug

April 09, 2014

An encryption flaw called the Heartbleed bug has exposed a collection of popular websites, posing a potential security threat to credit card information and passwords. We want to assure you that Typepad is not one of the websites affected, and your information is safe.

The security of our bloggers is a top priority. We were able to confirm that Typepad was not vulnerable to the Heartbleed bug as soon as the bug itself was discovered, and we worked diligently to ensure that none of our bloggers' personal information was compromised. As always, we will continue to work to protect the security of Typepad users and their data.

Your Community and Support team is always here to help, so please reach out if you have any lingering concerns about the Heartbleed bug.

comments powered by Disqus

Welcome

Need help?

Follow us!

Typepad on FacebookTypepad on TwitterTypepad on Google+Typepad on PinterestSubscribe to Everything Typepad

Like us!

Typepad Newsletter

Still having trouble? Contact Support.